All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class ActivatableWrapper

    com.sas.services.deployment.ActivatableWrapper

    public class ActivatableWrapper

Activatable wrapper used to register a description of a remoteable object with the RMI daemon, rmid.

Since:
  1.0

Constructor Summary
`ActivatableWrapper(java.lang.String securityPolicyFile, java.lang.String location, java.lang.String className, java.lang.String bindName)` Constructor specifying a security policy file, class codebase, activatable class, and its bind name.
`ActivatableWrapper(java.lang.String securityPolicyFile, java.lang.String location, java.lang.String className, java.lang.String bindName, java.lang.Object marshalledDataObject, RMIConfiguration rmiConfiguration)` Constructor specifying a security policy file, class codebase, activatable class, and its bind name.

Method Summary
`java.rmi.Remote` | `deploy()` Registers information about an activatable object with rmid and the rmiregistry.
`java.rmi.MarshalledObject` | `getMarshalledData()` Gets the marshalled object.
`java.lang.Object` | `getMarshalledDataObject()` Gets the marshalled data object.
`void` | `setMarshalledDataObject(java.lang.Object data)` Sets data to be marshalled for use by the activatable object.

Constructor Detail

### ActivatableWrapper

    public ActivatableWrapper(java.lang.String securityPolicyFile,
                              java.lang.String location,
                              java.lang.String className,
                              java.lang.String bindName)
                       throws java.io.IOException

  Constructor specifying a security policy file, class codebase, activatable class, and its bind name.

  Parameters:
    `securityPolicyFile` - Security policy file.
    `location` - Codebase directory path.
    `className` - Activatable class name.
    `bindName` - Bind name.
  Throws:
    `java.io.IOException` - if an I/O anomaly is encountered.

### ActivatableWrapper

    public ActivatableWrapper(java.lang.String securityPolicyFile,
                              java.lang.String location,
                              java.lang.String className,
                              java.lang.String bindName,
                              java.lang.Object marshalledDataObject,
                              RMIConfiguration rmiConfiguration)
                       throws java.io.IOException

  Constructor specifying a security policy file, class codebase, activatable class, and its bind name. A optional marshalled object may be specified to designate an initialization data object. An RMI configuration is specified to designate the location of an RMI registry.

  Parameters:
    `securityPolicyFile` - Security policy file.
    `location` - Codebase directory path.
    `className` - Activatable class name.
    `bindName` - Bind name.
    `marshalledDataObject` - Marshalled data object or `null` if there is no initialization data object.
    `rmiConfiguration` - RMI configuration that defines the desired rmiregistry.
  Throws:
    `java.io.IOException` - if an I/O anomaly is encountered.

Method Detail

### setMarshalledDataObject

    public final void setMarshalledDataObject(java.lang.Object data)
                                       throws java.io.IOException

  Sets data to be marshalled for use by the activatable object.

  Parameters:
    `data` - Data to be marshalled.
  Throws:
    `java.io.IOException` - in unable to marshall the data object.

### getMarshalledDataObject

    public final java.lang.Object getMarshalledDataObject()
                                                   throws ServiceException

  Gets the marshalled data object.

  Returns:
    Marshalled data object or `null` if no object is specified.
  Throws:
    `ServiceException` - if unable to obtain the marshalled data. This exception will be thrown in response to an IOException or ClassNotFoundException.

### getMarshalledData

    public final java.rmi.MarshalledObject getMarshalledData()
                                                      throws java.io.IOException

  Gets the marshalled object.

  Returns:
    Marshalled object.
  Throws:
    `java.io.IOException` - if an I/O issue is encountered.

### deploy

    public java.rmi.Remote deploy()
                           throws ServiceException

  Registers information about an activatable object with rmid and the rmiregistry.

  Returns:
    `Remote` object.
  Throws:
    `ServiceException` - if unable to deploy the service.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.